<template>
  <q-carousel
    width="100%"
    height="auto"
    v-model="currentSlide"
    transition-prev="jump-right"
    transition-next="jump-left"
    swipeable
    animated
    control-color="accent"
    control-type="unelevated"
    prev-icon="arrow_left"
    next-icon="arrow_right"
    :navigation="false"
    arrows
    autoplay
    infinite
    class="bgcolor-green text-white full-width"
  >
    <q-carousel-slide
      v-for="(photo, index) in props.photos"
      :name="index"
      :key="index"
      class="column no-wrap flex-cente no-padding"
      height="1650px"
    >
      <q-img
        :src="photo"
        :ratio="16 / 9"
        spinner-color="primary"
        spinner-size="82px"
      />
    </q-carousel-slide>
  </q-carousel>
</template>

<script setup lang="ts">
import { ref } from 'vue'

/**
 * COMPONENT STATE
 */
const props = defineProps<{
  photos: string[]
}>()

const currentSlide = ref<number>(0)
</script>
